/*
 *            LVS Windows
 *      The Window Class System
 *
 *        Copyright 1991 (c), Lake View Software
 *                            4321 Harborough Rd.
 *                            Columbus, OH 43220
 *        All rights reserved.
 */

#ifndef WINSTATE_HPP
#define WINSTATE_HPP

class ScreenState {
    private:
        int restore;        // restore state on exit flag
        int page;           // previous screen page
        int *scr_buf;       // screen buffer
        int y, x;           // cursor location
        int rows, cols;     // row/col count
        int mode;
    public:
        ScreenState ();
        ~ScreenState ();
};

#endif // #ifndef WINSTATE_HPP
